<?php
/**
 * The template for displaying archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Compose
 */

get_header(); ?>

<div id="content" class="container content-bg"><!-- \.container - Remove this line if you do not want a boxed width layout -->

	<section class="col-xs-12 col-md-12 compose-breadcrumbs">
		<?php compose_the_breadcrumb(); ?>
	</section><!-- /.compose-breadcrumbs -->
	
	<section class="col-xs-12 col-md-8 compose-content<?php if ( get_theme_mod( 'compose_site_layout' ) === 'left' ) : // What layout? ?> content-change-layout<?php endif; ?>" role="main">

		<?php if ( have_posts() ) : ?>

			<header>
				<h2 class="page-title">
					<?php
						the_archive_title();
						the_archive_description( '<div class="taxonomy-description">', '</div>' );
					?>
				</h2>
			</header><!-- .page-header -->

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php
					/* Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );
				?>

			<?php endwhile; ?>

			<?php compose_paging_nav(); ?>

		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>

	</section><!-- /.compose-content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
